'use strict'

// Написати функцію-суматор.
//  * Функція має два числові параметри, і повертає результат їх складання.
//  *
//  * Вивести в консоль результат додавання 2 та 4, 5 та 7.
//  * Вивести на екран результат додавання 5 та 6;
//  */
// Напишіть функцію min(a,b), яка повертає менше з чисел a та b



// const numberOne = +prompt('Number One');
// const numberTwo = +prompt('Number Two');

// function sumator (a,b){
//     a + b;
//     return  a + b
// }

// sumator()

// console.log(sumator(2,4));
// document.write(sumator(5,6));


// function min(a,b){

//     if(a > b){
//         return b
//     }else{
//        return a
//     }
    
// }

// min();
// console.log(min(45,133));







// Написати функцію-лічильник count.
//  * Функцію має два параметри:
//  * - Перший - число, з якого необхідно почати рахунок;
//  * - Другий - число, яким необхідно закінчити рахунок.
//  *
//  * Якщо число, з якого починається рахунок більше, ніж число,
//  * яким він закінчується, вивести повідомлення:
//  * «⛔️ Помилка! Рахунок неможливий.
//  *
//  * Якщо обидва ці числа однакові, вивести повідомлення:
//  * «⛔️ Помилка! Нема чого рахувати.»
//  *
//  * На початку рахунку необхідно вивести повідомлення:
//  * «🏁 Відлік розпочато.».
//  *
//  * Кожен «крок» рахунку необхідно виводити в консоль.
//  * Після проходження останнього кроку необхідно вивести повідомлення:
//  * «✅ Відлік завершено.».


// let numberOne = +prompt('Number One');
// let numberTwo = +prompt('Number Two');


// function count(a,b){
//     if(a > b){
//         console.log('⛔️ Помилка! Рахунок неможливий.');
//     }else if(a === b){
//         console.log('⛔️ Помилка! Нема чого рахувати.');
//     }else if(a < b){
//         console.log('🏁 Відлік розпочато.');

//         for(let i = a; i < b; i++){
//             console.log(i);
//         }

//         console.log('✅ Відлік завершено.');
//     }
// };

// count(numberOne,numberTwo);








// Отримати від користувача 2 числа. Запитувати його
// число знову до тих пір, поки він не введе валідне число.
// Перевірку на валідність - оформити у функцію, якою ми передаємо значення, а
// функція перевіряє значення на null, порожній рядок, на NaN і повертає true
// якщо число валідне, інакше false;
// Якщо 2 числа валідні, вивести в консоль і на екран - результат їхнього складання


// let numberOne = +prompt('Number One');
// let numberTwo = +prompt('Number Two');

// function valid(a,b){
//     if(a === null || a === ''|| isNaN(a) || b === null || b === ''|| isNaN(b)){
//         numberOne = +prompt('Number One');
//         numberTwo = +prompt('Number Two');
//     }else{
//         return a + b
//     }
// }

// valid();

// document.write(valid(numberOne,numberTwo));
// console.log(valid(numberOne,numberTwo));






// Написати програму до розрахунку індексу маси тіла.
// Запитати у користувача його ім'я, його зріст в метрах (1.83 наприклад) та його вагу.
// Перевірити те, що це числа, запитувати до того часу доки запровадить коректно.
// Вирахувавши ІМТ, згенерувати пораду. (https://ua.wikipedia.org/wiki/%D0%98%D0%BD%D0%B4%D0%B5%D0%BA%D1%81_%D0%BC%D0%B0%D1%81% D1%81%D1%8B_%D1%82%D0%B5%D0%BB%D0%B0)
// 16 та менше - 'У вас виражений дефіцит маси тіла. Будь ласка, зверніться до спеціалістів'
// 16-18,5 - 'Недостатня маса тіла. Радимо звернути увагу на харчування
// 18,5-25 - 'У вас нормальний ІМТ. Так тримати'
// 25-30 - 'У вас надмірна маса тіла. Радимо звернути увагу на харчування
// Більше 30 - 'У вас є ожиріння. Будь ласка, зверніться до спеціалістів'
// Якщо отримано значення, що не лежить в діапазоні від 12 і до 50 - 'Якісь дані некоректні, перевірте введені дані'
// Вивести в модальному вікні - "Ваш ІМТ ${отримане значення} ${порада}"


let userName = prompt('Enter your name');

let numberTwo = prompt('Enter your weight');
let numberOne = prompt('Enter your height');

const validatorNumber = number => !(number === null  || number === "" || isNaN(number));
validatorNumber();


    if(validatorNumber(numberTwo && numberOne)){

    }else{
         numberTwo = prompt('Enter your weight',numberTwo);
         numberOne = prompt('Enter your height',numberOne);
    }



    // const calculator = (a,b) => (a / (b**2));
    // calculator(numberTwo,numberOne)